Post the necessary fields for the API to add a new outbound call.

http
POST https://services.leadconnectorhq.com/conversations/messages/outbound

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
typestringYesCallMessage Type Possible values: 'Call'
attachmentsstring[]NoArray of attachments
conversationIdstringYesve9EPM428h8vShlRW1KTConversation Id
conversationProviderIdstringYes61d6d1f9cdac7612faf80753Conversation Provider Id
altIdstringNo61d6d1f9cdac7612faf80753external mail provider's message id
datestringNoDate of the outbound message
callobjectNoPhone call dialer and receiver information

Responses

200 - Created the message
  • success (boolean, required)

  • conversationId (string, required): Conversation ID. Example: ABC12h2F6uBrIkfXYazb

  • messageId (string, required): This is the main Message ID Example: t22c6DQcTDf3MjRhwf77

  • message (string, required)

  • contactId (string)

  • dateAdded (string)

  • emailMessageId (string)

json
{
  "success": true,
  "conversationId": "ABC12h2F6uBrIkfXYazb",
  "messageId": "t22c6DQcTDf3MjRhwf77",
  "message": "string",
  "contactId": "string",
  "dateAdded": "2024-01-15T10:30:00Z",
  "emailMessageId": "string"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/conversations/messages/outbound' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "type": "Call",
  "attachments": [
    "string"
  ],
  "conversationId": "ve9EPM428h8vShlRW1KT",
  "conversationProviderId": "61d6d1f9cdac7612faf80753",
  "altId": "61d6d1f9cdac7612faf80753",
  "date": "2024-01-15T10:30:00Z"
}'

Last updated October 26, 2026

Was this page helpful?